/* wmopen.c (emx+gcc) -- Copyright (c) 1987-1993 by Eberhard Mattes */

#include <stdlib.h>
#include <sys/winmgr.h>
#include "winmgr2.h"

void wm_open (wm_handle wh)
{
  if (wh->used != WM_USED)
    return;
  if (!wh->open)
    {
      wh->open = TRUE;
      wh->display = wh->update_flag;
      _wm_copy1 (wh, NULL);
      _wm_hide1 ();
      _wm_put1 (wh);
      _wm_cursor1 ();
    }
}
